commit:     e508ff0cae888422286121c2c155223843cc25a2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 18 01:54:53 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 18 01:54:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e508ff0c

sys-auth/munge: add 0.5.15

Closes: https://bugs.gentoo.org/798102
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-auth/munge/Manifest            |  1 +
 sys-auth/munge/munge-0.5.15.ebuild | 88 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/sys-auth/munge/Manifest b/sys-auth/munge/Manifest
index 5a684b9ed3a1..d04baae21b73 100644
--- a/sys-auth/munge/Manifest
+++ b/sys-auth/munge/Manifest
@@ -1 +1,2 @@
 DIST munge-0.5.13.tar.xz 389952 BLAKE2B 
67887469dccf0f4e136a3fba12660dd8d0bfbd5d5024582c6be164b7e837959380ee9d09055ea95db2a307b1da75a8e7c643844fceb56b8a35f59ab7b1b811d8
 SHA512 
2e024c0438f9208379a037daabd1c31f206820ab74a410e2bb69870755e99f9c9fbf60c294c96941008bc43425fbb31dd2374e5f088b7978479e7c65816e9002
+DIST munge-0.5.15.tar.xz 459468 BLAKE2B 
e007d767d29bf8f492f4b8b3380d4beffd6eed4ff648492130b7d7f049bc90f1047c059bac6263947aa46f7ab2b0366f7d5079ddee39225e5a61870d20ae363c
 SHA512 
266af1cf2df30f6bd7338527bd69736c0cf91e7390e7bbeea9a225af4829d456907be77a1e77ecef4716f2fff634d144d4b3d5cc3d0afc12f5c2d1acfd6974e1

diff --git a/sys-auth/munge/munge-0.5.15.ebuild 
b/sys-auth/munge/munge-0.5.15.ebuild
new file mode 100644
index 000000000000..475278514dd8
--- /dev/null
+++ b/sys-auth/munge/munge-0.5.15.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools prefix systemd tmpfiles
+
+DESCRIPTION="An authentication service for creating and validating credentials"
+HOMEPAGE="https://github.com/dun/munge";
+SRC_URI="https://github.com/dun/munge/releases/download/${P}/${P}.tar.xz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc 
~x86"
+IUSE="debug gcrypt static-libs"
+# TODO: still tries to use ${S}?
+RESTRICT="test"
+
+DEPEND="
+       app-arch/bzip2
+       sys-libs/zlib
+       gcrypt? ( dev-libs/libgcrypt:= )
+       !gcrypt? ( dev-libs/openssl:= )
+"
+RDEPEND="
+       ${DEPEND}
+       acct-group/munge
+       acct-user/munge
+"
+BDEPEND="app-arch/xz-utils[extra-filters]"
+
+src_prepare() {
+       default
+
+       hprefixify config/x_ac_path_openssl.m4
+
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --localstatedir="${EPREFIX}"/var
+               --with-logrotateddir="${EPREFIX}"/etc/logrotate.d
+               --with-pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+               --with-systemdunitdir="$(systemd_get_systemunitdir)"
+               --with-crypto-lib=$(usex gcrypt libgcrypt openssl)
+               $(use_enable debug)
+               $(use_enable static-libs static)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       # Note that both verboses seem to be needed, otherwise output
+       # is verbose but not maximally so
+       emake check root="${T}"/munge VERBOSE=t verbose=t
+}
+
+src_install() {
+       default
+
+       # bug #450830
+       if [[ -d "${ED}"/var/run ]] ; then
+               rm -rf "${ED}"/var/run || die
+       fi
+
+       dodir /etc/munge
+       keepdir /var/{lib,log}/munge
+
+       local d
+       for d in "init.d" "default" "sysconfig"; do
+               if [[ -d "${ED}"/etc/${d} ]] ; then
+                       rm -r "${ED}"/etc/${d} || die
+               fi
+       done
+
+       newconfd "$(prefixify_ro "${FILESDIR}"/${PN}d.confd)" ${PN}d
+       newinitd "$(prefixify_ro "${FILESDIR}"/${PN}d.initd)" ${PN}d
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
+}
+
+pkg_postinst() {
+       tmpfiles_process munge.conf
+}

Reply via email to